Get historical total supply data for a contract
Returns the paginated total supply history of the specified contract with optional date range and interval filtering.
GET
TypeScript
Path Parameters
The blockchain base assetId
The contract address
Query Parameters
Start date of the time range in ISO 8601 format
End date of the time range in ISO 8601 format
Time interval for grouping data
Available options:
hour, day, week, month Page cursor to get the next page"
Number of items per page (max 100), requesting more then 100 will return 100 items
Required range:
1 <= x <= 100Sorting field (enum). Sorting only supported by 'blockTimestamp'
Available options:
blockTimestamp ASC / DESC ordering (default DESC)
Available options:
ASC, DESC Response
Successfully retrieved the contract total supply history
Previous
Get historical balance data for a specific account in a contractReturns the paginated balance history of the specified account in a contract with optional date range and interval filtering.
Next
TypeScript